Bug 1009949 - Unable to configure security realm in domain
Unable to configure security realm in domain
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER3
: EAP 6.2.0
Assigned To: Brian Stansberry
Petr Kremensky
Russell Dickenson
: Regression
Depends On:
Blocks: eap62-beta-blockers
  Show dependency treegraph
 
Reported: 2013-09-19 10:47 EDT by Petr Kremensky
Modified: 2013-12-15 11:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-19 10:47:26 EDT
I am unable to configure new security realm for domain. 

Reproduce: 
 - start out-of-box domain
 - connect to CLI
 - create new security realm
[domain@localhost:9999 /] /host=master/core-service=management/security-realm=JBossTest:add
 - run any of following:
[domain@localhost:9999 /] /host=master/core-service=management/security-realm=JBossTest/authentication=properties:add(path=application-users.properties, relative-to=jboss.server.config.dir
[domain@localhost:9999 /] /host=master/core-service=management/security-realm=JBossTest/authentication=jaas:add(name=JBossTestDomain)
[domain@localhost:9999 /] /host=master/core-service=management/security-realm=JBossTest/authentication=local:add(allowed-users="*", default-user="$local")

CLI command will result in:
{
    "outcome" => "failed",
    "result" => undefined,
    "failure-description" => "JBAS010839: Operation failed or was rolled back on all servers.",
    "rolled-back" => true,
    "server-groups" => {"main-server-group" => {"host" => {"master" => {
        "server-one" => {"response" => {
            "outcome" => "failed",
            "failure-description" => "JBAS014883: No resource definition is registered for address [
    (\"host\" => \"master\"),
    (\"core-service\" => \"management\"),
    (\"security-realm\" => \"JBossTest\"),
    (\"authentication\" => \"local\")
]",
            "rolled-back" => true
        }},
        "server-two" => {"response" => {
            "outcome" => "failed",
            "failure-description" => "JBAS014883: No resource definition is registered for address [
    (\"host\" => \"master\"),
    (\"core-service\" => \"management\"),
    (\"security-realm\" => \"JBossTest\"),
    (\"authentication\" => \"local\")
]",
            "rolled-back" => true
        }}
    }}}}
}

This was working with 6.1.1.GA
Comment 2 Petr Kremensky 2013-09-26 02:58:23 EDT
Verified on EAP 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.